Packager: Igor Vlasenko <viy@altlinux.ru>
BuildRequires: /proc
BuildRequires: jpackage-1.6-compat
Name:           ini4j
Version:        0.3.2
Release:        alt1_4jpp6
Summary:        Java API for handling files in Windows .ini format

Group:          Development/Java
License:        ASL 2.0
URL:            http://www.ini4j.org/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}-src.zip
Source1:        http://www.apache.org/licenses/LICENSE-2.0.txt
Patch0:         %{name}-%{version}-pom.xml.patch


BuildArch:      noarch

# Recommended by http://fedoraproject.org/wiki/Packaging/Java
BuildRequires: jpackage-utils
BuildRequires: maven2-plugin-compiler
BuildRequires: maven2-plugin-install
BuildRequires: maven2-plugin-jar
BuildRequires: maven2-plugin-javadoc
BuildRequires: maven2-plugin-release
BuildRequires: maven2-plugin-resources
BuildRequires: maven2-plugin-surefire
# Additionally defined in the pom.xml
BuildRequires: maven2-plugin-assembly
BuildRequires: maven2-plugin-antrun

# See http://www.ini4j.org/dependencies.html
# These dependencies are required to compile the application:
BuildRequires: maven2-plugins >= 2.0.4
BuildRequires: tomcat5-servlet-2.4-api >= 5.5
# These dependencies are only required to compile unit tests for the application:
# BuildRequires:  jetty >= 4.2.2
# BuildRequires:  junit >= 3.8.2
# BuildRequires:  easymock >= 2.3
# BuildRequires:  easymockclassextension >= 2.3
# BuildRequires:  cglib-nodep >= 2.1_3
# These dependencies are only required to run unit tests for the application:
# Requires:  jetty >= 4.2.2
# Requires:  junit >= 3.8.2
# Requires:  easymock >= 2.3
# Requires:  easymockclassextension >= 2.3
# Requires:  cglib-nodep >= 2.1_3
# These dependencies should be provided by default when using the library:
Requires: tomcat5-servlet-2.4-api >= 5.5

Requires: jpackage-utils

Requires(post): jpackage-utils
Requires(postun): jpackage-utils

%description
The [ini4j] is a simple Java API for handling configuration files in Windows 
.ini format. Additionally, the library includes Java Preferences API 
implementation based on the .ini file.

%package javadoc
Summary:        Javadocs for %{name}
Group:          Development/Java
Requires: %{name} = %{version}-%{release}
Requires: jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep

%setup -q

cp -a %{SOURCE1} ./LICENSE-2.0.txt

find . -type f \( -iname "*.jar" -o -iname "*.class" \) | xargs -t %{__rm} -f

%patch0 -p1 -b .sav

# remove test sources
%{__rm} -rf src/test
# remove site sources
%{__rm} -rf src/site


%build

export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
%{__mkdir_p} $MAVEN_REPO_LOCAL

mvn-jpp \
-Dmaven.repo.local=$MAVEN_REPO_LOCAL \
install javadoc:javadoc

%install

# JAR
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
(cd %{buildroot}%{_javadir} && %{__ln_s} %{name}-%{version}.jar %{name}.jar)

# Javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}
%{__cp} -rp target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%{__install} -d -m 755 %{buildroot}%{_datadir}/maven2/poms
%{__install} -pm 644 pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}.pom

%add_to_maven_depmap org.apache.maven %{name} %{version} JPP %{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_datadir}/maven2/poms
%{_mavendepmapfragdir}
%{_javadir}/*
%doc LICENSE-2.0.txt src/main/java/org/ini4j/package.html

%files javadoc
%{_javadocdir}/%{name}


%changelog
* Sat Dec 13 2008 Igor Vlasenko <viy@altlinux.ru> 0.3.2-alt1_4jpp6
- converted from JPackage by jppimport script

